You are here

DHS Java Vulnerability Recommendations

The US Department of Homeland Security has recently published an alert, recommending that users disable the Java plugin in their web browsers. Since the Process Dashboard is a Java application, many users have asked how this recommendation might affect or pertain to the Process Dashboard.

Fortunately, the DHS recommendation centers on vulnerabilities to malicious applets and JNLP applications. The open-source Process Dashboard does not make use of applets or JNLP files. Therefore, users can feel free to follow the DHS recommendations and disable the Java plug-in in their web browser. Doing so should not affect the normal use and operation of the Process Dashboard.

Companies that are using the Process Dashboard Enterprise Server should follow the alternative recommendation from DHS, and update Java to version 7 update 11. The Enterprise Server does make use of JNLP files, so disabling the Java plug-in could prevent users from launching the Process Dashboard. Installing the latest version of Java is the preferred action.